=== modified file 'bzrlib/help.py'
--- bzrlib/help.py	2007-04-20 04:36:09 +0000
+++ bzrlib/help.py	2007-04-20 05:44:37 +0000
@@ -42,7 +42,7 @@
     topics = indices.search(topic)
     shadowed_terms = []
     for index, topic in topics[1:]:
-        shadowed_terms.append('%s%s' % (index.prefix, topic))
+        shadowed_terms.append('%s%s' % (index.prefix, topic.get_help_topic()))
     outfile.write(topics[0][1].get_help_text(shadowed_terms))
 
 

=== modified file 'bzrlib/plugin.py'
--- bzrlib/plugin.py	2007-04-20 05:41:57 +0000
+++ bzrlib/plugin.py	2007-04-20 05:44:37 +0000
@@ -333,5 +333,5 @@
         return result
 
     def get_help_topic(self):
-        """Return the modules help topic - its __name__."""
-        return self.module.__name__
+        """Return the modules help topic - its __name__ after bzrlib.plugins.."""
+        return self.module.__name__[len('bzrlib.plugins.'):]

=== modified file 'bzrlib/tests/test_plugins.py'
--- bzrlib/tests/test_plugins.py	2007-04-20 05:41:57 +0000
+++ bzrlib/tests/test_plugins.py	2007-04-20 05:44:37 +0000
@@ -333,9 +333,9 @@
 
     def test_get_help_topic(self):
         """The help topic for a plugin is its module name."""
-        mod = FakeModule('two lines of help\nand more', 'demo')
+        mod = FakeModule('two lines of help\nand more', 'bzrlib.plugins.demo')
         topic = plugin.ModuleHelpTopic(mod)
         self.assertEqual('demo', topic.get_help_topic())
-        mod = FakeModule('two lines of help\nand more', 'foo_bar')
+        mod = FakeModule('two lines of help\nand more', 'bzrlib.plugins.foo_bar')
         topic = plugin.ModuleHelpTopic(mod)
         self.assertEqual('foo_bar', topic.get_help_topic())

